Bug 173497 - AX: VoiceOver can change the value of disabled sliders
Summary: AX: VoiceOver can change the value of disabled sliders
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-06-16 15:38 PDT by James Craig
Modified: 2019-02-04 13:03 PST (History)
10 users (show)

See Also:


Attachments
test case (29 bytes, text/html)
2017-06-16 15:39 PDT, James Craig
no flags Details
Patch (4.03 KB, patch)
2019-02-01 17:32 PST, Eric Liang
no flags Details | Formatted Diff | Diff
Patch (4.03 KB, patch)
2019-02-01 17:46 PST, Eric Liang
no flags Details | Formatted Diff | Diff
Patch (5.12 KB, patch)
2019-02-04 11:29 PST, Eric Liang
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James Craig 2017-06-16 15:38:32 PDT
AX: VoiceOver can change the value of disabled sliders


1. Open the attached test case.
2. Drag the slider with a mouse (no change, expected)
3. Tab to the slider and use arrows, home/end, or pageup/pagedown (no change, expected)
4. Navigate to the slider with VoiceOver, interact (VO+Shift+Down) and change the value (VO+Right)

VoiceOver speaks dimmed (expected) but the slider value updates and the display changes.

<input type='range' disabled>
Comment 1 James Craig 2017-06-16 15:39:27 PDT
Created attachment 313148 [details]
test case
Comment 2 Radar WebKit Bug Importer 2017-06-16 15:39:42 PDT
<rdar://problem/32825076>
Comment 3 Eric Liang 2019-02-01 17:32:30 PST
Created attachment 360928 [details]
Patch
Comment 4 chris fleizach 2019-02-01 17:35:35 PST
Comment on attachment 360928 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=360928&action=review

> Source/WebCore/accessibility/AccessibilityNodeObject.cpp:1067
> +//    auto element = this->element();

whats going on with this?
Comment 5 Eric Liang 2019-02-01 17:42:06 PST
Sorry forgot to uncomment after test...
Comment 6 Eric Liang 2019-02-01 17:46:04 PST
Created attachment 360933 [details]
Patch
Comment 7 chris fleizach 2019-02-01 17:49:55 PST
Comment on attachment 360933 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=360933&action=review

> LayoutTests/accessibility/set-value-not-work-for-disabled-sliders.html:25
> +        for (var testId = 0; testId < numOfTests; testId++) {

there's no expected results added here
Comment 8 Eric Liang 2019-02-01 17:54:30 PST
Comment on attachment 360933 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=360933&action=review

>> LayoutTests/accessibility/set-value-not-work-for-disabled-sliders.html:25
>> +        for (var testId = 0; testId < numOfTests; testId++) {
> 
> there's no expected results added here

If should-change="true", then the expected is always 50, otherwise 50->55->45?
Comment 9 Eric Liang 2019-02-04 11:29:55 PST
Created attachment 361076 [details]
Patch
Comment 10 WebKit Commit Bot 2019-02-04 13:03:25 PST
Comment on attachment 361076 [details]
Patch

Clearing flags on attachment: 361076

Committed r240939: <https://trac.webkit.org/changeset/240939>
Comment 11 WebKit Commit Bot 2019-02-04 13:03:27 PST
All reviewed patches have been landed.  Closing bug.